Loading...
Searching...
No Matches
Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension > Class Template Reference
Inheritance diagram for Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >:

## Classes

class | SubEntityIteratorBack

## Public Types

typedef Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension > | StaticRefinement
typedef Dune::VirtualRefinement< dimension, CoordType > | VirtualRefinement
typedef Codim< dimension >::SubEntityIterator | VertexIterator
| The VertexIterator of the VirtualRefinement.
typedef Codim< 0 >::SubEntityIterator | ElementIterator
| The ElementIterator of the VirtualRefinement.
typedef FieldVector< CoordType, dimension > | CoordVector
| The CoordVector of the VirtualRefinement.
typedef std::vector< int > | IndexVector
| The IndexVector of the VirtualRefinement.
typedef SubEntityIteratorBack< dimension > | VertexIteratorBack
typedef SubEntityIteratorBack< 0 > | ElementIteratorBack

## Public Member Functions

int | nVertices (Dune::RefinementIntervals tag) const override
| Get the number of Vertices.
int | nElements (Dune::RefinementIntervals tag) const override
| Get the number of Elements.
VertexIterator | vBegin (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
VertexIterator | vEnd (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
ElementIterator | eBegin (Dune::RefinementIntervals tag) const
| Get an ElementIterator.
ElementIterator | eEnd (Dune::RefinementIntervals tag) const
| Get an ElementIterator.

## Static Public Member Functions

static VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension > & | instance ()

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>

typedef FieldVector<CoordType, dimension> Dune::VirtualRefinement< dimension, CoordType >::CoordVector

inherited

The CoordVector of the VirtualRefinement.

This is always a typedef to a FieldVector

## ElementIterator

template<int dimension, class CoordType>

typedef Codim<0>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::ElementIterator

inherited

The ElementIterator of the VirtualRefinement.

## ElementIteratorBack

template<int dimension, class CoordType>

typedef SubEntityIteratorBack<0> Dune::VirtualRefinement< dimension, CoordType >::ElementIteratorBack

inherited

## IndexVector

template<int dimension, class CoordType>

typedef std::vector<int> Dune::VirtualRefinement< dimension, CoordType >::IndexVector

inherited

The IndexVector of the VirtualRefinement.

This is always a typedef to a std::vector

## StaticRefinement

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef Dune::StaticRefinement<topologyId, CoordType, coerceToId, dimension> Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::StaticRefinement

## VertexIterator

template<int dimension, class CoordType>

typedef Codim<dimension>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::VertexIterator

inherited

The VertexIterator of the VirtualRefinement.

## VertexIteratorBack

template<int dimension, class CoordType>

typedef SubEntityIteratorBack<dimension> Dune::VirtualRefinement< dimension, CoordType >::VertexIteratorBack

inherited

## VirtualRefinement

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

typedef Dune::VirtualRefinement<dimension, CoordType> Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::VirtualRefinement

## Member Function Documentation

## eBegin()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eBegin | ( | Dune::RefinementIntervals | tag | ) | const

inherited

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eEnd()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eEnd | ( | Dune::RefinementIntervals | tag | ) | const

inherited

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## instance()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension > & Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::instance | ( |  | ) |

static

## nElements()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

int Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::nElements | ( | Dune::RefinementIntervals | tag | ) | const

override virtual

Get the number of Elements.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

Implements Dune::VirtualRefinement< dimension, CoordType >.

## nVertices()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension>

int Dune::VirtualRefinementImp< topologyId, CoordType, coerceToId, dimension >::nVertices | ( | Dune::RefinementIntervals | tag | ) | const

override virtual

Get the number of Vertices.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

Implements Dune::VirtualRefinement< dimension, CoordType >.

## vBegin()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vBegin | ( | Dune::RefinementIntervals | tag | ) | const

inherited

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vEnd()

template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vEnd | ( | Dune::RefinementIntervals | tag | ) | const

inherited

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

The documentation for this class was generated from the following file:

- virtualrefinement.cc